/**
 * Created by mdonnel on 19/04/2017.
 */
let ListerModel = Backbone.Model.extend({
  initialize: function() {

    let url = '/list';
    this.set('url', url);
    this.update();
  },
  update: function() {
      this.getList();
    },
  getList: function() {
    let list = this.get('url');

    $.ajax({
      type: 'GET', url: url, data: '', dataType: 'json',

      timeout: 10000,

      // ContentType: ('application/json'),
      headers: {
        'Access-Control-Allow-Origin': '*',
        'Access-Control-Allow-Methods': 'PUT, GET, POST, DELETE, OPTIONS',
        'Access-Control-Allow-Headers': 'Content-Type'

      }, success: data => {
        // Console.log(data);
        this.set('list', data);
      }, error: (xhr, type) => {

      }
    }).bind(this);
  }
});
